离黍

如何解决maven update后,jdk默认降低到1.5的问题
问题:1、创建maven项目的时候,jdk版本是1.5版本,而自己安装的是1.7或者1.8版本。2、每次右键项目名...
扫描右侧二维码阅读全文
16
2019/01

如何解决maven update后,jdk默认降低到1.5的问题

问题:

1、创建maven项目的时候,jdk版本是1.5版本,而自己安装的是1.7或者1.8版本。

2、每次右键项目名-maven->update project 时候,项目jdk版本变了,变回1.5版本或者其他版本

解决办法:

解决办法一:在项目中的pom.xml指定jdk版本,该办法只能临时解决单个项目的问题 如下:

<build>  
        <plugins>  
            <plugin>  
                <groupId>org.apache.maven.plugins</groupId>  
                <artifactId>maven-compiler-plugin</artifactId>  
                <version>3.1</version>  
                <configuration>  
                    <source>1.8</source>  
                    <target>1.8</target>  
                </configuration>  
            </plugin>  
        </plugins>  
    </build>

这个方法只能保证当前项目是jdk1.8版本。

解决方法二:在maven的安装目录找到settings.xml文件,在里面添加如下代码,该办法可以长效作用

<profile>    
    <id>jdk-1.8</id>    
     <activation>    
          <activeByDefault>true</activeByDefault>    
          <jdk>1.8</jdk>    
      </activation>    
<properties>    
<maven.compiler.source>1.8</maven.compiler.source>    
<maven.compiler.target>1.8</maven.compiler.target>    
<maven.compiler.compilerVersion>1.8</maven.compiler.compilerVersion>    
</properties>    
</profile>

添加完后,在对eclipse进行设置。
window->preferences->maven->user settings,user settings那里选择maven安装目录下的settings.xml文件

非常实用的工作技巧!!!

Last modification:January 16th, 2019 at 12:06 am
If you think my article is useful to you, please feel free to appreciate

Leave a Comment